BackendHTTP APISyncs
Pause sync(s)
Requires an API key with the environment:syncs:execute scope. Learn more about API key scopes.
POST
Pauses the schedule of specified sync(s) for a given connection or all applicable connections if no connection is specified.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
application/json- body
provider_config_key*stringThe ID of the integration that you established within Tenklo.
connection_id?stringThe ID of the connection. If omitted, the syncs will be paused for all relevant connections.
syncs*array<>|array<>Successfully paused the sync
application/json- response
success*booleancurl -X POST 'https://api.tenklo.dev/sync/pause' \ -H 'Content-Type: application/json' \ -d '{ "provider_config_key": "string", "syncs": [ "string" ]}'Example Response
{ "success": true}